Skip to main content
Indicators MicroData Developers About JOIN NOW
SBET API

Developers

REST API documentation for querying available SBET datasets and receiving results in JSON format.

←  Back to SBET Home

Overview

NFIB's SBET platform offers a REST API to allow users to perform queries of available SBET data using selection parameters. Developers can make custom calls to the API and receive the results in JSON format.

Developers can access the following datasets from 1974 to the current month and year:

Basic API Call Structure

All results from SBET are returned using stored procedures with parameters in the backend database. Therefore, to call a stored procedure that requires parameters the following URI format should be used:

POST https://api.nfib-sbet.org:443/rest/sbetdb/_proc/<procedure_name>
Important: A POST should always be used to call an SBET stored procedure, and the required parameters should be added in the HTTP Header.

Header Parameters

Sample API Request and Input Formats

GetIndicators

Getting Indicators without groupings by Industry, Employee size, etc.

https://api.nfib-sbet.org:443/rest/sbetdb/_proc/getIndicators

Request Body:

{"app_name": "sbet", "params": [
  { "name": "minYear",   "param_type": "IN", "value": minYear },
  { "name": "minMonth",  "param_type": "IN", "value": minMonth },
  { "name": "maxYear",   "param_type": "IN", "value": maxYear },
  { "name": "maxMonth",  "param_type": "IN", "value": maxMonth },
  { "name": "indicator", "param_type": "IN", "value": indicator }
]}

GetTotals2 and GetQtrMonthTrends2

Same input structure. GetTotals2 is used for pulling Indicator data. GetQtrMonthTrends2 is for Microdata questions.

https://api.nfib-sbet.org:443/rest/sbetdb/_proc/getTotals2
https://api.nfib-sbet.org:443/rest/sbetdb/_proc/getQtrMonthTrends2

Request Body:

{"app_name": "sbet", "params": [
  { "name": "minYear",   "param_type": "IN", "value": minYear },
  { "name": "minMonth",  "param_type": "IN", "value": minMonth },
  { "name": "maxYear",   "param_type": "IN", "value": maxYear },
  { "name": "maxMonth",  "param_type": "IN", "value": maxMonth },
  { "name": "questions", "param_type": "IN", "value": questions },
  { "name": "industry",  "param_type": "IN", "value": industry },
  { "name": "employee",  "param_type": "IN", "value": employee },
  { "name": "statev",    "param_type": "IN", "value": statev }
]}

Input Formats

Multiple values are allowed using a comma: NO SPACES.

minMonth and maxMonth are always 1 and 12 respectively. Only adjust the year.

Industry

0No Reply or Invalid
1Construction
2Manufacturing
3Transportation
4Wholesale
5Retail
6Agriculture
7Finance
8Services
9Professions
10Other

Employee

1No Employees
2,31–4 Employees
45–8 Employees
5,69–18 Employees
719–38 Employees
839 or more

Regions

NortheastCT,MA,ME,NH,NJ,NY,PA,RI,VT
E. South CentralAL,KY,MS,TN
South AtlanticDC,DE,FL,GA,MD,NC,SC,VA,WV
Great LakesIL,IN,MI,OH,WI
PlainsIA,KS,MN,MO,ND,NE,SD
W. South CentralAR,LA,OK,TX
MountainsAZ,CO,ID,MT,NM,NV,UT,WY
PacificAK,CA,HI,OR,WA

Questions / Indicators

Questions and Indicators use the same variables. For example, expand_employ is a question and indicator.

Only exception: rate_change_2 and cap_ex_total_2 use the same question for two indicators but different parts.

VariableDescription
OPT_INDEXSmall Business Optimism Index
un_indexUncertainty Index
emp_count_change_expectPlans to Increase Employment
cap_ex_expectPlans to Make Capital Outlays
inventory_expectPlans to Increase Inventories
bus_cond_expectExpect Economy to Improve
sales_expectExpect Real Sales Higher
inventory_currentCurrent Inventory
job_opening_unfilledCurrent Job Openings
credit_access_expectExpected Credit Conditions
expand_goodNow a Good Time to Expand
earn_changeEarnings Trends
sales_changeActual Sales Changes
price_changeActual Price Changes
price_change_planPrice Plans
emp_count_changeActual Employment Changes
emp_comp_changeActual Compensation Changes
emp_comp_change_expectCompensation Plans
rate_changeRelative Interest Rate Paid by Regular Borrowers
inventory_changeActual Inventory Changes
qualified_applQualified Applicants for Job Openings
rate_change_2Regular Borrowers
credit_accessAvailability of Loans
cap_ex_totalActual Capital Expenditures
top_issueSingle Most Important Problem
expand_good_whyMost Important Reason for Outlook Expansion
earn_change_reason_downMost Important Reason for Lower Earnings
earn_change_reason_upMost Important Reason for Higher Earnings
cap_ex_total_2Amount of Capital Expenditures Made

For additional stored procedures and input formats, please email swaroop.bhagavatula@NFIB.ORG

NFIB AI